<?php
/**
 * Created by PhpStorm.
 * User: rafaelporto
 * Date: 28/01/2016
 * Time: 13:11
 */

namespace Factory;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Resource
{
    public function save(Entities\Resource $resource = null,$nmoperador,$dsemailoper,$status,$resourceSponsor,
                         \Teknisa\Model\Geral\Entities\Operador $operador) {
        if(!$resource){
            $resource = new Entities\Resource();
            $resource->setResourcesType(Entities\Resource::CONTACT_RESOURCE);
            $resource->setClass(Entities\Resource::CLASS_CONTACT);
            $resource->setExternalCode($operador->getCdoperador());
            $resource->setIsUser(Entities\Resource::IS_USER_FALSE);
            $resource->setParent($resourceSponsor);
        }
        $resource->setStatus($status);
        $resource->setName($nmoperador);
        $resource->setEmail($dsemailoper);

        return $resource;
    }

} 