(function() {
    // ZEEDHI - FRAMEWORK
    window.templateUrl = "bower_components/zeedhi-frontend/templates/dyman/";
    window.serviceUrl = "../backend<>URI_SERVICE_NAME<>/index.php";
    window.urlDbStructureVersionTutorial = "<>URL_DB_STRUCTURE_VERSION_TUTORIAL<>";
    window.urlDbStructureVersionTutorialSpanish = "<>URL_DB_STRUCTURE_VERSION_TUTORIAL_SPANISH<>";

    var packages = {
        "product": "./assets",
        "modules": "../../..<>FRONTEND_DIRECTORY_NAME<>/assets",
        "zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
        "zh-customizations-service": "./bower_components/zh-customizations-service/src/templates",
        "zhuacl": "./bower_components/zhuaclfrontend/assets",
        "zhulog": "./bower_components/zhulog/assets",
        "lib": "./bower_components/tek-libraries",
        
        "zh-preferences"       : './bower_components/zh-preferences/dist/assets/',
        "zh-filter-preferences": './bower_components/zh-filter-preferences/dist/assets/',
        "zh-layout-preferences": './bower_components/zh-layout-preferences/dist/assets/',
        "zh-view-preferences"  : './bower_components/zh-view-preferences/dist/assets/',
 	
        "acl": "./assets",
        "login": "/login<>FRONTEND_DIRECTORY_NAME<>/assets/"
    };
    var packageUrlProduct =  window.isCustomerPortal ? window.serviceUrl : "/backend<>URI_SERVICE_NAME<>/index.php";

    var metadataUrls = [], serviceUrls = [];

    var pathname = location.pathname;
    if(pathname.includes('mobile')) {
        pathname = pathname.replace('/mobile', '').split('/modules')[0];
    } else {
        pathname = '';
    }
    var pkgBaseUrls = {
        acl     : packageUrlProduct,
        product : packageUrlProduct,
        default : window.serviceUrl,

        'zh-preferences'       : window.serviceUrl + '/zh-preferences',
        'zh-filter-preferences': window.serviceUrl + '/zh-preferences',
        'zh-layout-preferences': window.serviceUrl + '/zh-preferences',
        'zh-view-preferences'  : window.serviceUrl + '/zh-preferences',

        login   : location.origin + pathname + "/backend_login<>URI_SERVICE_NAME<>/index.php"
    };

    for (var key in packages) {
        metadataUrls.push({
            "package": key,
            "baseUrl": packages[key]
        });

        var keyPkg = key.split("_")[0];
        var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : "default";
        serviceUrls.push({
            "package": key,
            "baseUrl": pkgBaseUrls[realBaseKey]
        });
    }

    window.lang = 'pt_br';
    window.projectId = 771;
    window.metadataUrl = "./assets/";
    window.applicationVersion = '3.41.0';
    window.productApplyAcl = true;
    window.useDefaultLanguages = true;

    window.metadataUrls = metadataUrls;
    window.metaDataUrls = metadataUrls;
    window.serviceUrls = serviceUrls;
    window.urlCpNext = '<>CP_NEXT_URL<>';

    window.cssStyle = "inflightor";
    window.cssUrl = "../../..<>FRONTEND_DIRECTORY_NAME<>/assets/css/app.css";

    window.templateUrls = window.templateUrls || [];
    window.templateUrls.push({
        'package': 'zh-charts',
        'baseUrl': 'bower_components/zh-charts/dist/templates/'
    });
    window.templateUrls.push({
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-select-autocomplete",
        baseUrl: "bower_components/zh-select-autocomplete/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-filter-preferences",
        baseUrl: 'bower_components/zh-filter-preferences/dist/templates/'
 	});

})();